Bug 74522 - gnome-terminal crashes when running something in xemacs -nw and resizing the window.
gnome-terminal crashes when running something in xemacs -nw and resizing the ...
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2002-09-25 18:29 EDT by James Antill
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-04 01:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Antill 2002-09-25 18:29:18 EDT
Description of Problem:
 If I run "xemacs -nw -f gnus" over ssh, and then resize the gnome-terminal then
gnome-terminal will crash.
 I can also do it by running xemacs -nw, then doing "C-u 10 M-x hanoi"

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. xemacs -nw
2. C-u 10 M-x hanoi
3. Resize gnome-terminal window

Actual Results:

Expected Results:
not crash

Additional Information:
 Running top doesn't seem to have a problem
Comment 1 James Antill 2002-10-11 10:49:34 EDT
 This seems to be somewhat related, the perl...

perl -e 'print " " x (80 * 32) . "\e[A" x 128'

...will move the cursor off the top of the screen, which shouldn't happen.
Comment 2 Ray Strode [halfline] 2004-11-04 01:51:48 EST
Hi James, the current version of vte doesn't appear to crash by
following your steps.  I'm going to close the bug, but if you see the
problem in a recent version of vte, please reopen.

Note You need to log in before you can comment on or make changes to this bug.